### Signal

# Gtk PrintOperation::update-custom-widget

#### Declaration

    void
    update_custom_widget (
      GtkPrintOperation* self,
      GtkWidget* widget,
      GtkPageSetup* setup,
      GtkPrintSettings* settings,
      gpointer user_data
    )

#### Description [src]

Emitted after change of selected printer.

The actual page setup and print settings are passed to the custom widget, which can actualize itself according to this change.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`widget`

  Type: `GtkWidget`

  The custom widget added in ::create-custom-widget.

  The data is owned by the caller of the function.

`setup`

  Type: `GtkPageSetup`

  Actual page setup.

  The data is owned by the caller of the function.

`settings`

  Type: `GtkPrintSettings`

  Actual print settings.

  The data is owned by the caller of the function.